# Uses of Interface
javassist.Translator

Packages that use Translator
Package
Description
javassist
The Javassist Core API.
javassist.tools.reflect
Runtime Behavioral Reflection.
javassist.tools.rmi
Sample implementation of remote method invocation.
javassist.tools.web
Simple web server for running sample code.

## Uses of Translator in javassist

Methods in javassist with parameters of type Translator
Modifier and Type
Method
Description
`void`
Loader.`addTranslator(ClassPool cp, Translator t)`
Adds a translator, which is called whenever a class is loaded.

## Uses of Translator in javassist.tools.reflect

Classes in javassist.tools.reflect that implement Translator
Modifier and Type
Class
Description
`class`
`Reflection`
The class implementing the behavioral reflection mechanism.

## Uses of Translator in javassist.tools.rmi

Classes in javassist.tools.rmi that implement Translator
Modifier and Type
Class
Description
`class`
`StubGenerator`
A stub-code generator.

## Uses of Translator in javassist.tools.web

Methods in javassist.tools.web with parameters of type Translator
Modifier and Type
Method
Description
`void`
Webserver.`addTranslator(ClassPool cp, Translator t)`
Adds a translator, which is called whenever a client requests a class file.